using System;
using NinjaTrader.Data;

internal sealed class Delegate452 : MulticastDelegate
{
	public extern MarketDataEventArgs Invoke(object object_0);

	public static MarketDataEventArgs smethod_0(object object_0, Delegate452 delegate452_1)
	{
		return delegate452_1(object_0);
	}

	public extern Delegate452(object object_0, IntPtr intptr_0);

	static Delegate452()
	{
		Class10.smethod_13(typeof(Delegate452).TypeHandle);
	}

	internal static Delegate452 delegate452_0;
}
